package immibis.ars.beams;

import immibis.ars.mod_AdvancedRepulsionSystems;
import immibis.core.net.IPacket;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import net.minecraft.server.EntityHuman;

public class PacketBoltFX implements IPacket
{
    public double x1;
    public double x2;
    public double y1;
    public double y2;
    public double z1;
    public double z2;

    public PacketBoltFX() {}

    public PacketBoltFX(double var1, double var3, double var5, double var7, double var9, double var11)
    {
        this.x1 = var1;
        this.x2 = var7;
        this.y1 = var3;
        this.y2 = var9;
        this.z1 = var5;
        this.z2 = var11;
    }

    public byte getID()
    {
        return (byte)2;
    }

    public void read(DataInputStream var1) throws IOException
    {
        this.x1 = var1.readDouble();
        this.y1 = var1.readDouble();
        this.z1 = var1.readDouble();
        this.x2 = var1.readDouble();
        this.y2 = var1.readDouble();
        this.z2 = var1.readDouble();
    }

    public void write(DataOutputStream var1) throws IOException
    {
        var1.writeDouble(this.x1);
        var1.writeDouble(this.y1);
        var1.writeDouble(this.z1);
        var1.writeDouble(this.x2);
        var1.writeDouble(this.y2);
        var1.writeDouble(this.z2);
    }

    public void onReceived(EntityHuman var1)
    {
        if (var1 == null)
        {
            mod_AdvancedRepulsionSystems.proxy.makeBoltFX(this);
        }
    }
}
