package immibis.ars.beams.logictypes;

import immibis.ars.beams.EntityFilter;
import immibis.ars.beams.LogicType;
import immibis.ars.beams.TileUpgradeUnit;
import java.util.Set;

public class Intersection extends LogicType
{
    public EntityFilter createFilter(TileUpgradeUnit var1, final EntityFilter[] var2)
    {
        return new EntityFilter()
        {
            public Set filter(Set var1)
            {
                EntityFilter[] var5 = var2;
                int var4 = var2.length;

                for (int var3 = 0; var3 < var4; ++var3)
                {
                    EntityFilter var2x = var5[var3];

                    if (var2x != null)
                    {
                        var1 = var2x.filter(var1);
                    }
                }

                return var1;
            }
        };
    }
}
