package immibis.ars;

import forge.Property;
import immibis.core.api.porting.SidedProxy;
import java.io.File;
import java.util.logging.Logger;
import net.minecraft.server.EntityHuman;
import net.minecraft.server.ItemStack;
import net.minecraft.server.NBTTagCompound;

public class Functions
{
    private static final Logger log = Logger.getLogger("Client");

    public static void DisplayInfo(String var0)
    {
        log.info(var0);
    }

    public static File getMinecraftDir()
    {
        return SidedProxy.instance.getMinecraftDir();
    }

    public static int getBlockIdFor(String var0, int var1)
    {
        return mod_AdvancedRepulsionSystems.config == null ? var1 : (new Integer(mod_AdvancedRepulsionSystems.config.getOrCreateIntProperty(var0, "1", var1).value)).intValue();
    }

    public static int getItemIdFor(String var0, int var1)
    {
        return mod_AdvancedRepulsionSystems.config == null ? var1 : (new Integer(mod_AdvancedRepulsionSystems.config.getOrCreateIntProperty(var0, "2", var1).value)).intValue();
    }

    public static void ChattoPlayer(EntityHuman var0, String var1)
    {
        SidedProxy.instance.sendChat(var1, var0);
    }

    public static NBTTagCompound getTAGfromItemstack(ItemStack var0)
    {
        NBTTagCompound var1 = var0.getTag();

        if (var1 == null)
        {
            var1 = new NBTTagCompound();
            var0.setTag(var1);
        }

        return var1;
    }

    public static boolean getConfigBoolean(String var0, boolean var1)
    {
        Property var2 = mod_AdvancedRepulsionSystems.config.getOrCreateBooleanProperty(var0, "general", var1);
        return Boolean.valueOf(var2.value).booleanValue();
    }

    public static int getBalanceOption(String var0, int var1)
    {
        return Integer.parseInt(mod_AdvancedRepulsionSystems.config.getOrCreateIntProperty(var0, "general", var1).value);
    }
}
