package immibis.ars.beams;

import java.util.ArrayList;
import java.util.Collection;

public class UpgradeData
{
    public int range = 0;
    public TileEMPUpgrade emp = null;
    public double speed = 1.0D;
    public Collection lootCollectors = null;
    public Collection potions = null;
    public boolean suppressor = false;

    public void combine(UpgradeData var1)
    {
        this.range += var1.range;
        this.speed *= var1.speed;
        this.suppressor |= var1.suppressor;

        if (var1.lootCollectors != null)
        {
            if (this.lootCollectors == null)
            {
                this.lootCollectors = new ArrayList(var1.lootCollectors);
            }
            else
            {
                this.lootCollectors.addAll(var1.lootCollectors);
            }
        }

        if (var1.potions != null)
        {
            if (this.potions == null)
            {
                this.potions = new ArrayList(var1.potions);
            }
            else
            {
                this.potions.addAll(var1.potions);
            }
        }

        if (this.emp == null)
        {
            this.emp = var1.emp;
        }
        else if (var1.emp != null && var1.emp.storage > this.emp.storage)
        {
            this.emp = var1.emp;
        }
    }
}
