package immibis.ars.beams.logictypes;

import immibis.ars.beams.EntityFilter;
import immibis.ars.beams.LogicType;
import immibis.ars.beams.TileUpgradeUnit;
import java.util.Set;

public class RedstoneInput extends LogicType
{
    public EntityFilter createFilter(final TileUpgradeUnit var1, EntityFilter[] var2)
    {
        return new EntityFilter()
        {
            public Set filter(Set var1x)
            {
                if (!var1.world.isBlockIndirectlyPowered(var1.x, var1.y, var1.z))
                {
                    var1x.clear();
                }

                return var1x;
            }
        };
    }
}
