package immibis.ars.beams.logictypes;

import immibis.ars.beams.EntityFilter;
import immibis.ars.beams.LogicType;
import immibis.ars.beams.TileUpgradeUnit;
import java.util.HashSet;
import java.util.Set;

public class Union extends LogicType
{
    public EntityFilter createFilter(TileUpgradeUnit var1, final EntityFilter[] var2)
    {
        return new EntityFilter()
        {
            public Set filter(Set var1)
            {
                Set var2x = null;
                boolean var3 = false;
                EntityFilter[] var7 = var2;
                int var6 = var2.length;

                for (int var5 = 0; var5 < var6; ++var5)
                {
                    EntityFilter var4 = var7[var5];

                    if (var4 != null)
                    {
                        if (!var3)
                        {
                            var2x = var4.filter(new HashSet(var1));
                            var3 = true;
                        }
                        else
                        {
                            var2x.addAll(var4.filter(new HashSet(var1)));
                        }
                    }
                }

                if (!var3)
                {
                    return var1;
                }
                else
                {
                    return var2x;
                }
            }
        };
    }
}
